Bug 72493 - rz inside screen fails
rz inside screen fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 11:25 EDT by ratness
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-24 11:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ratness 2002-08-24 11:25:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
SecureCRT does zmodem transfers over SSH.  However, if you do 'rz' to receive 
files while inside a screen session, that shell process hangs and must be 
killed with an kill signal from another screen.

Version-Release number of selected component (if applicable):
screen-3.9.11-3
lrzsz-0.12.20-12

How reproducible:
Always

Steps to Reproduce:
1. ssh in to box with 'screen' and 'lrzsz' installed.
2. start screen
3. type 'rz'
	

Actual Results:  Display shows 'rz waiting to receive.**B0100000023be50' and 
hangs.

Expected Results:  Display shows 'rz waiting to receive.' and SecureCRT pops a 
dialog box to select files to upload.  Barring that, it should at least have a 
more graceful failure than a hang I can't ^C out of.

Additional info:
Comment 1 Phil Copeland 2002-08-26 16:40:31 EDT
You will NOT be able to xfer using rz by itself (screen will interpret some of
the escape sequences as being for it) try using rz -e

-e, --escape
              Force sender to escape all control characters; nor-
              mally  XON,  XOFF,  DLE,  CR-@-CR,  and  Ctrl-X are
              escaped.

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.